> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload URL to create product

> 


Get product information by crawling the provided URL or create a new product with provided information.



The response contains product_id which is used in Step 2 & Step 3 for updating product information and creating the video.



## OpenAPI

````yaml POST /product
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /product:
    post:
      tags:
        - URL to Video
      summary: 'Step 1: Upload URL to get product Information.'
      description: >-



        Get product information by crawling the provided URL or create a new
        product with provided information.




        The response contains product_id which is used in Step 2 & Step 3 for
        updating product information and creating the video.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: URL of the product to crawl
                  example: https://res.jogg.ai.com/product_url
                name:
                  type: string
                  description: Product name
                  example: Physicians Formula Happy Booster Heart Blush
                description:
                  type: string
                  description: Product introduction and selling points
                  example: >-
                    Brush on a radiant blushing glow: Ultra-soft and blendable
                    blushing powder
                target_audience:
                  type: string
                  description: Target audience for the product
                  example: Tech-savvy millennials
                media:
                  type: array
                  description: Media resources array
                  items:
                    type: object
                    properties:
                      type:
                        type: integer
                        description: |
                          * 1 - image
                          * 2 - video
                        example: 1
                      name:
                        type: string
                        description: Media name
                        example: product.jpg
                      url:
                        type: string
                        description: Media URL
                        example: https://res.jogg.ai/media.jpg
                      description:
                        type: string
                        description: Media description
                        example: Product front view
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          product_id:
                            type: string
                            description: >-
                              Product ID - Save this for Step 2 (PUT
                              /open/product) if you need to update product
                              information & Step 3 (POST /create_video_from_url)
                              need to use product_id.
                            example: NTQ0MTkzNjg
                          url:
                            type: string
                            description: URL of the product to crawl
                            example: https://res.jogg.ai.com/product_url
                          name:
                            type: string
                            description: Product name
                            example: >-
                              Physicians Formula Happy Booster Heart Blush Glow
                              &amp;amp; Mood Boosting, Rose, Dermatologist
                              Tested
                          description:
                            type: string
                            description: Product introduction and selling points
                            example: >-
                              Brush on a radiant blushing glow: Ultra-soft and
                              blendable blushing powder features a fresh and
                              vibrant mix of blushing tones infused with a pop
                              of color to create a healthy glow.
                              Multi-reflective pearls provide a soft iridescence
                              to highlight contour and add radiance to cheeks.
                              Experience the mood boosting effect: Infused with
                              our Happy Boost Blend featuring Happy Skin and
                              Euphoryl, natural plant extracts which have been
                              shown to promote a feeling of happiness by
                              mimicking the effect of Endorphins and helping
                              protect the skin from environmental stress. 
                          target_audience:
                            type: string
                            description: Target audience for the product
                            example: ''
                          media:
                            type: array
                            description: >-
                              Media resources array (will replace existing media
                              if provided)
                            items:
                              type: object
                              properties:
                                type:
                                  type: integer
                                  description: 'Media type (1: image, 2: video)'
                                  enum:
                                    - 1
                                    - 2
                                  example: 1
                                name:
                                  type: string
                                  description: Media name
                                  example: media.jpg
                                url:
                                  type: string
                                  description: Media URL
                                  example: https://res.jogg.ai/media.jpg
                                description:
                                  type: string
                                  description: Media description
                                  example: >-
                                    Brush on a radiant blushing glow: Ultra-soft
                                    and blendable blushing powder features a
                                    fresh and vibrant mix of blushing tones
                                    infused with a pop of color to create a
                                    healthy glow.
components:
  schemas:
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````